import request from '@/assets/js/utils/request'
/*
* 归档api
* */
//  查询-项目归档详情
export function getArchiveList(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/tenderArchive/getArchiveList',
    method: 'post',
    data
  })
}
//  项目经理-一键归档
export function archive(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/tenderArchive/archive',
    method: 'post',
    data
  })
}
//  老平台归档查看
export function getArchiveOldList(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/tenderArchive/getArchiveOldList',
    method: 'post',
    data
  })
}
//  项目经理-修改归档其他文件的状态
export function updateArchiveOtherFileStatus(params) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/tenderArchive/updateArchiveOtherFileStatus',
    method: 'post',
    params
  })
}
//  项目经理-下载项目所有归档文件
export function getAllProjectZipFile(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/tenderArchive/getAllProjectZipFile',
    method: 'post',
    data
  })
}
// 采购单归档一键归档多条
export function archiveMultitermByTenderNos(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/procurementArchive/archiveMultitermByTenderNos',
    method: 'post',
    data
  })
}
// 归档信息
export function getProcurementArchiveList(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/procurementArchive/getProcurementArchiveList',
    method: 'post',
    data
  })
}
// 一键归档
export function archiveApi(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/procurementArchive/archive',
    method: 'post',
    data
  })
}
// 一键下载
export function downloadAllProjectZipFile(data) {
  return request({
    url: '/bidprocurement/bidding-calibration/archive/procurementArchive/downloadAllProjectZipFile',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
